<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Modules\OfficialAccount\Services\CustomMsgService;
class NoPayRemind extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'Pay:remind';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '未支付订单提醒';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->payRemind();
    }

    public function payRemind(){
        CustomMsgService::sendUnpaid();
    }
}
